<?php

/*************************************************************************************
  Tri-Tel Telecommunications
  PHP SMS Module

**************************************************************************************

Usage:

Include this module at the beginning of your PHP script:

<?php require("ttsms.php"); ?>

You may then send an SMS from anywhere in your script using the following function:

<?php

$result = sendSMS( "username", "password", 
                   "mobile number", "message" ); 


?>

The function 'sendSMS' will return a text string containing the error message or 
success message provided by Tri-Tel Telecommunications.

If the SMS was rejected, the function returns:

	Error: Reason or cause of error

For example, calling the function with an invalid account will return:

	Error: Authentication failed. 

If the SMS was accepted for delivery, the function returns:

	Ok: 1 SMS messages accepted for delivery. Charge: $ 0.099 (includes GST) 

The number of messages accepted, and charge will be displayed.  SMS Messages are 
limited to 160 characters (including spaces).  If the message is longer than 160
characters, the message will be divided into several messages, and each will incur
a charge.  The total number of messages sent, and the total cost will be returned.

The destination number MUST be the full international telephone number, excluding
any space and symbol.  For example, a valid Australian mobile number would be:

	61401234567

A valid American mobile number would be:

	16195554666
	
The following are *NOT* valid Australian destinations:
	
	+61 (4) 01234567		- Contains symbols
	+61401234567			- Contains symbols
	401234567			- Missing country code:
					  '40' is the country code for Romania,
					  This SMS would be delivered to Romania
	041234567			- Missing country code

The following are *NOT* valid American destinations:

	619 555 4666			- Spaces, and missing country code (1)
					  '61' is the country code for Australia
	+1 (619) 555 4666		- Contains symbols
			
*************************************************************************************/

function sendSMS( $user,$pass, $destnum, $text )
{
	// initialize result variable
	$result="Error. Undefined error";

	// Encode SMS text to pass via HTTP GET
	$text2=urlencode($text);

	// call HTTP Get - return as file handle
	$file = fopen ("http://www.tri-tel.com.au/smsgateway.pl?user=$user&pass=$pass&to=$destnum&message=$text2", "r");

	if (!$file) 
	{	
		$result="Error. Failed to connect to Tri-Tel"; 
	}
	else
	{
		$result = fgets ($file, 2048);
		fclose($file);
	}	
	return $result;
}

?>
